package ec.app.regression.testcases;

/**
 * @author Tomasz Pawlak
 */
public class Vladislavleva01Factory extends FunctionFactory {

    @Override
    protected int arity() {
        return 2;
    }

    @Override
    protected double function(Double... x) {
        return Math.exp(-(x[0] - 1) * (x[0] - 1)) / (1.2 + (x[1] - 2.5) * (x[1] - 2.5));
    }

    @Override
    public String getSymbolicRepresentation() {
        return "e^(-(x0 - 1)^2) / (1.2 + (x1 - 2.5)^2)";
    }

}
